/*Source Code From Laure Gonnord, 2012*/

#include "hash.h"

/**Hash functions**/
int asciis(char *word)
{
  int i=0;
  int h=0;
  while(word[i]!='\0')
    {
      h=h+(word[i]-96);
      i++;
    }
  return h;
}

int hash(char *word)
{
  return (asciis(word) % TABLE_SIZE);
}

//Functions by BC 

/*Initialisation of a given Hashtable*/
void init_ht(Hashtable ht) {
  int i;
  for (i=0; i<TABLE_SIZE; i++) {
    ht[i]=NULL;
  }
}

/*Update of the hashtable : add the given word in the table!*/
void update_ht(char *word, Hashtable ht) {
  ajoutAlphab(&ht[hash(word)],word);
}

/*Load the file in the internal structure ht */
void load_ht(FILE *fp, Hashtable ht) {
  char word[MAXSIZE];
  fscanf(fp, "%s", word);
  while (!feof(fp)) {
    update_ht(word, ht);
    fscanf(fp, "%s", word);
  }
}

