
#ifndef __FICHIER_HASH1_H__ 
#define __FICHIER_HASH1_H__ 

#include <stdio.h>
#include <stdlib.h>
#include <stdbool.h>

/*List library : reminder, the word have maximal size  MAXSIZE*/
#include "liste.h"

/*Size of the hashtables */
#define TABLE_SIZE 308

//max size of lines
#define MAXSIZELINE 1024


/*Declaration of type Hashtable */
typedef Liste Hashtable[TABLE_SIZE];

int hash(char *word);

void init_ht(Hashtable ht);

void update_ht(char *word, Hashtable ht);

void load_ht(FILE *fp, Hashtable ht);

#endif
