#include "liste.h"
#include "hash.h"

/*Main function*/
int main (int argc, char *argv[]) {
  if (argc < 2) { // text file is missing ?
    fprintf(stderr, "usage: hash <file_name>\n");
  } else {
    FILE *fp;
    fp=fopen(argv[1], "r");
    if (fp==NULL) {
      fprintf(stderr, "no such file, or unreachable: %s\n", argv[1]);

    } else { // declaration and use of hashtables
      
      Hashtable ht;
      char max_word[MAXSIZE] = "";
      int hmax = 0;
      
      //Opening, load.
      init_ht(ht);
      load_ht(fp, ht);
      fclose(fp);
      

    }//end of else
  }
  
  return 0;
}
